Skip to content

Integrations

All operations require authentication.

4 operationsv2/publicCloud/project
Agent setup

List integrationsBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/grafana/{serviceId}/integration

Returns the integrations of the service with other services.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Integration[]successful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

destinationServiceId
read-only
stringuuid

Identifier of the destination service. Null for external integrations.

id
read-only
stringuuid

Unique identifier of the integration

parameters
read-only
object

Engine-specific configuration parameters for the integration

sourceServiceId
read-only
stringuuid

Identifier of the source service

status
read-only
IntegrationStatusEnum

Current readiness status of the integration

ValuesCREATINGDELETINGERRORREADYUPDATING
type
read-only
IntegrationTypeEnum

Type of the integration

ValuesGRAFANA_DASHBOARDGRAFANA_DATASOURCEKAFKA_CONNECTKAFKA_LOGSKAFKA_MIRROR_MAKEROPENSEARCH_LOGSPOSTGRESQL_METRICSPROMETHEUSRSYSLOG
updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/grafana/{serviceId}/integration \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "destinationServiceId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "parameters": { "key": "string" }, "sourceServiceId": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "type": "GRAFANA_DASHBOARD", "updatedAt": "2024-01-01T12:00:00Z" }]

Get an integrationBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/grafana/{serviceId}/integration/{integrationId}

Returns the integration type, its source and destination services and its status.

Path parameters

integrationId
required
stringuuid

Integration ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200Integrationsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

destinationServiceId
read-only
stringuuid

Identifier of the destination service. Null for external integrations.

id
read-only
stringuuid

Unique identifier of the integration

parameters
read-only
object

Engine-specific configuration parameters for the integration

sourceServiceId
read-only
stringuuid

Identifier of the source service

status
read-only
IntegrationStatusEnum

Current readiness status of the integration

ValuesCREATINGDELETINGERRORREADYUPDATING
type
read-only
IntegrationTypeEnum

Type of the integration

ValuesGRAFANA_DASHBOARDGRAFANA_DATASOURCEKAFKA_CONNECTKAFKA_LOGSKAFKA_MIRROR_MAKEROPENSEARCH_LOGSPOSTGRESQL_METRICSPROMETHEUSRSYSLOG
updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses integrationId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/grafana/{serviceId}/integration/{integrationId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "destinationServiceId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "parameters": { "key": "string" }, "sourceServiceId": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "type": "GRAFANA_DASHBOARD", "updatedAt": "2024-01-01T12:00:00Z"}

Create an integrationBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/grafana/{serviceId}/integration

Integrates the service with another database or analytics service. sourceServiceId must be the identifier of this service. Compatible engine pairs are listed on the capabilities endpoint.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

destinationServiceId
required
stringuuid

Identifier of the destination service. Compatible source and destination engine pairs can be retrieved from the capabilities endpoint.

parameters
object

Engine-specific configuration parameters for the integration

sourceServiceId
required
stringuuid

Identifier of the source service

type
required
IntegrationTypeEnum

Type of the integration

ValuesGRAFANA_DASHBOARDGRAFANA_DATASOURCEKAFKA_CONNECTKAFKA_LOGSKAFKA_MIRROR_MAKEROPENSEARCH_LOGSPOSTGRESQL_METRICSPROMETHEUSRSYSLOG

Response

200Integrationsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

destinationServiceId
read-only
stringuuid

Identifier of the destination service. Null for external integrations.

id
read-only
stringuuid

Unique identifier of the integration

parameters
read-only
object

Engine-specific configuration parameters for the integration

sourceServiceId
read-only
stringuuid

Identifier of the source service

status
read-only
IntegrationStatusEnum

Current readiness status of the integration

ValuesCREATINGDELETINGERRORREADYUPDATING
type
read-only
IntegrationTypeEnum

Type of the integration

ValuesGRAFANA_DASHBOARDGRAFANA_DATASOURCEKAFKA_CONNECTKAFKA_LOGSKAFKA_MIRROR_MAKEROPENSEARCH_LOGSPOSTGRESQL_METRICSPROMETHEUSRSYSLOG
updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/grafana/{serviceId}/integration \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "destinationServiceId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "parameters": { "key": "string" }, "sourceServiceId": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "type": "GRAFANA_DASHBOARD", "updatedAt": "2024-01-01T12:00:00Z"}

Delete an integrationBeta

DELETE
/v2/publicCloud/project/{projectId}/managedAnalytics/grafana/{serviceId}/integration/{integrationId}

Deletes the integration.

Path parameters

integrationId
required
stringuuid

Integration ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200Integrationsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

destinationServiceId
read-only
stringuuid

Identifier of the destination service. Null for external integrations.

id
read-only
stringuuid

Unique identifier of the integration

parameters
read-only
object

Engine-specific configuration parameters for the integration

sourceServiceId
read-only
stringuuid

Identifier of the source service

status
read-only
IntegrationStatusEnum

Current readiness status of the integration

ValuesCREATINGDELETINGERRORREADYUPDATING
type
read-only
IntegrationTypeEnum

Type of the integration

ValuesGRAFANA_DASHBOARDGRAFANA_DATASOURCEKAFKA_CONNECTKAFKA_LOGSKAFKA_MIRROR_MAKEROPENSEARCH_LOGSPOSTGRESQL_METRICSPROMETHEUSRSYSLOG
updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses integrationId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/grafana/{serviceId}/integration/{integrationId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "destinationServiceId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "parameters": { "key": "string" }, "sourceServiceId": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "type": "GRAFANA_DASHBOARD", "updatedAt": "2024-01-01T12:00:00Z"}